質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

88.91%

`bin_path': can't find gem railties

解決済

回答 1

投稿 編集

  • 評価
  • クリップ 0
  • VIEW 426

ceratophrys

score 19

railsコマンドをすると以下のようにエラーが出ます
.rbenv/versions/2.3.7/lib/ruby/2.3.0/rubygems.rb:241:in bin_path': can't find gem railties (>= 0.a) (Gem::GemNotFoundException)     from /usr/local/bin/rails:22:in <main>'

どのようにエラーを解決すると良いでしょうか?

追記
このエラーが出るまでに行ったこと(記憶が曖昧です

macOS Catalinnaにアップデートした結果
bundleコマンドを実行するとxcodeが見当たらないというエラーが出たため
xcode-select --install
xcodeをインストール

次に再度bundleコマンドを実行すると
使用しているrubyのバージョンがgemと一致しなくて怒られたので
rbenvをインストールしてGemfileと記載されているバージョンを指定する
rbenv install 2.3.7 でインストール
rbenv local 2.3.7カレントディレクトリーで使うrubyを設定
rbenv rehash実行

しかし上記の通り行った結果2.3.7に切り替えができなかったため
which rubyでrubyをみている場所をチェックした
/.rbenv/shims/rubyではなかったため
~/.bash_profileファイルに
export PATH="~/.rbenv/shims:/usr/local/bin:$PATH" eval "$(rbenv init -)"を記載して
source ~/.bash_profile変更反映させた

再度bundleコマンドを実行すると
The bundle' command exists in these Ruby versions: とbundleが無いようなので gem install bundler`でbundleをインストールした

再度bundleコマンドを実行すると問題なく実行できた しかしrailsコマンドを実行すると本題である .rbenv/versions/2.3.7/lib/ruby/2.3.0/rubygems.rb:241:in bin_path': can't find gem railties (>= 0.a) (Gem::GemNotFoundException) from /usr/local/bin/rails:22:in <main>'
というエラーが出てきてしまいrailsコマンドが機能しない

色々調べましたが同じ境遇の人が見当たらないのでこの先は手付かずです

  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 過去に投稿した質問と同じ内容の質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

質問への追記・修正、ベストアンサー選択の依頼

  • 2KOH

    2019/12/23 12:50

    エラー解決のために試した方法を追記してください。

    キャンセル

回答 1

checkベストアンサー

+1

追記部分でいろいろいじっているようなので、この先さらにいろいろいじらないと解決しない可能性がありますが。
とりあえず「railties という gem が見つからない(can't find gem railties)」というエラーが出ているので、まずは railties という gem をインストールしてみてください。

それでダメなら、Ruby のバージョンが 2.3 と古いようなので、最新版の Ruby をインストールするところからやり直したほうがいいかもしれません。

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2019/12/23 19:42

    gem install railsでrailtiesをインストールしたらうまく行きました
    ありがとうございます

    キャンセル

15分調べてもわからないことは、teratailで質問しよう!

  • ただいまの回答率 88.91%
  • 質問をまとめることで、思考を整理して素早く解決
  • テンプレート機能で、簡単に質問をまとめられる

関連した質問

同じタグがついた質問を見る